Bug 405211 - Convert sane-backends to PolicyKit+hal
Convert sane-backends to PolicyKit+hal
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 17:50 EST by Philippe Troin
Modified: 2008-11-26 09:39 EST (History)
0 users

See Also:
Fixed In Version: sane-backends-1.0.19-12.fc10.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 09:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script for converting sane's udev rules to a HAL FDI file. (786 bytes, text/plain)
2007-11-29 17:51 EST, Philippe Troin
no flags Details

  None (edit)
Description Philippe Troin 2007-11-29 17:50:38 EST
Description of problem:
Sane-backends still relies on udev and pam-console to set permissions to the
scanner device nodes.
It should use the newer PolicyKit+hal framework.

Version-Release number of selected component (if applicable):
sane-backends-1.0.18-17.fc8

The attached script will convert a /etc/udev/rules.d/60-libsane.rules to a HAL
FDI file.
Run is as:
./udev2fdi /etc/udev/rules.d/60-libsane.rules >
/usr/share/hal/fdi/policy/10osvendor/10-sane.fdi

Then the udev file can be removed.  And the scanner rules in pam-console's
/etc/security/console.perms.d/50-default.perms can be removed.

Phil.
Comment 1 Philippe Troin 2007-11-29 17:51:24 EST
Created attachment 273391 [details]
Script for converting sane's udev rules to a HAL FDI file.
Comment 2 Nils Philippsen 2008-02-07 07:53:31 EST
I've built sane-backends-1.0.19-0.1.cvs20080206.fc9 in Rawhide which generates
PolicyKit-aware HAL rules.
Comment 3 Bug Zapper 2008-11-26 03:45:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Nils Philippsen 2008-11-26 09:39:42 EST
Hm, this has been fixed since a long time.

Note You need to log in before you can comment on or make changes to this bug.